petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatCUSPStorageFormat

indicates the storage format for CUSP (GPU) matrices.

### Synopsis

    typedef enum {MAT_CUSP_CSR, MAT_CUSP_DIA, MAT_CUSP_ELL} MatCUSPStorageFormat;

Not Collective

| MAT_CUSP_CSR | - Compressed Sparse Row
| MAT_CUSP_DIA | - Diagonal
| MAT_CUSP_ELL | - Ellpack

Any additions/changes here MUST also be made in include/petsc/finclude/petscmat.h

### See Also

MatCUSPSetFormat(), MatCUSPFormatOperation

Level:intermediate
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages